Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Layer den Namen $Name tauen / frieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layer den Namen $Name tauen / frieren (1608 mal gelesen)
Donpassos
Mitglied
-

Sehen Sie sich das Profil von Donpassos an!   Senden Sie eine Private Message an Donpassos  Schreiben Sie einen Gästebucheintrag für Donpassos

Beiträge: 7
Registriert: 12.10.2003

Autocad Map 3D 2011

erstellt am: 16. Aug. 2012 21:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen, ich möchte den Layer $Name tauen, eigentlich ganz banal, -la;ta;$Name;;  ...geht aber nicht. Ich vermute das $ ist das Problem. Habt ihr mir einen Tip ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 bis ACA 2013
Arcibem
System:
Windows
Internet-Startseite:
http://www.archi.de

erstellt am: 16. Aug. 2012 21:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Hallo,
nein, leider keinen Tipp , da bei mir das problemlos funktioniert (2008, 10, 12).
Vielleicht nur ein Schreibfehler im Layernamen? Oder MAP funkt dazwischen. Versuch mal .-layer

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Aug. 2012 07:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Donpassos:

Ich vermute das $ ist das Problem. Habt ihr mir einen Tip ?

Das "$" kann's m.E. nicht sein, weil dies ein schon seit Urzeiten zulässiges Zeichen für Layernamen ist. Und im plain AutoCAD gibt's auch keine Probleme damit.
Was passiert, wenn Du den Layer umbenennst? (Was anderes mit "$" drin, was anderes ohne "$", mal experimentieren ...)

Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 17. Aug. 2012 08:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Witzig, bei mir klappt es ebenfalls nicht, wenn der Layername ein $ enthält. Gestern Abend nicht mit 2012, heute morgen nicht mit 2013. Allerdings C3D, was ja MAP beinhaltet, was u.U. Hennings Vermutung stützen würde.

Meine Vermutung läuft jedoch auf DIESEL: das $ leitet in Makros einen DIESEL-Ausdruck ein und das versucht ACAD dann zu interpretieren.

Wichtig beim Testen: nicht einzeln via Befehlszeile eintippen, sondern wirklich via button (oder Werkzeugpalette) als Makro laufen lassen.
Makro:

Code:
Befehl: -la
-LAYER
Aktueller Layer:  "0"
Option eingeben [?/Machen/SEtzen/Neu/Umbenennen/EIn/AUs/FArbe/Ltyp/LStärke/TRansparenz/MATerial/Plot/FRieren/TAuen/SPerren/ENtsperren/STatus/Beschreibung/ABstimmen]: ta
Namensliste der Layer für auftauen  eingeben
Option eingeben [?/Machen/SEtzen/Neu/Umbenennen/EIn/AUs/FArbe/Ltyp/LStärke/TRansparenz/MATerial/Plot/FRieren/TAuen/SPerren/ENtsperren/STatus/Beschreibung/ABstimmen]:

Ergebnis: Layer NICHT getaut.
Eingetippt in der Befehlszeile funktioniert es.

Noch deutlicher sieht man es, wenn das $ nicht am Anfang steht:

Code:
Befehl: -la
-LAYER
Aktueller Layer:  "0"
Option eingeben [?/Machen/SEtzen/Neu/Umbenennen/EIn/AUs/FArbe/Ltyp/LStärke/TRansparenz/MATerial/Plot/FRieren/TAuen/SPerren/ENtsperren/STatus/Beschreibung/ABstimmen]: ta
Namensliste der Layer für auftauen  eingebenL     <<<---------
Keine übereinstimmenden Layernamen gefunden.
Option eingeben [?/Machen/SEtzen/Neu/Umbenennen/EIn/AUs/FArbe/Ltyp/LStärke/TRansparenz/MATerial/Plot/FRieren/TAuen/SPerren/ENtsperren/STatus/Beschreibung/ABstimmen]:

Sorry, auch von mir keine Lösung, außer der üblichen Warnung vor Sonderzeichen aller Art in Dateinamen/Layernamen/sonstigen Elementnamen. Warum? Weil einfach einfach einfacher ist   

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 17. Aug. 2012 08:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

packs in ein Command aufn n Button

(command "_-layer" "_thaw" "$NAME" "")

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 17. Aug. 2012 08:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADmium:
packs in ein Command aufn n Button

(command "_-layer" "_thaw" "$NAME" "")


Geht auch nich :(

(command "_-layer" "_thaw" "L$ayer1" "")

Code:
Befehl: (command "_-layer" "_thaw" "L"")
("_>
("_> *Abbruch*

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1896
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 17. Aug. 2012 08:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

versuch das mal:

(command "_-Layer" "_t"(strcat(chr 36)"Name")"")

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 17. Aug. 2012 08:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Held des Tages: CADwiesel 

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 17. Aug. 2012 09:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von runkelruebe:

Geht auch nich :(


Also bei mir ja .. .... SYSVARVERGLEICH? oder PAL?

aber ich kann noch

(if(and(setq L(tblobjname "LAYER" "$AS"))
       (setq L(entget L))
       (=(logand(cdr(assoc 70 L))1)1)
   )   
  (entmod(subst(cons 70 (boole 2(cdr(assoc 70 L))1))(assoc 70 L)L))
)

und


(vl-load-com)
(if(and(setq L(tblobjname "LAYER" "$AS"))
       (setq L(vlax-ename->vla-object L))
   )
  (progn
    (vla-put-freeze L :vlax-false)
    (vla-regen(vla-get-activedocument(vlax-get-acad-object))acAllViewports)
  ) 
)  

anbieten

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 17. Aug. 2012 09:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

>> Also bei mir ja .. .... SYSVARVERGLEICH? oder PAL?

wegen mir PAL, ich hab keine Sonderzeichen drin  und wiesels Lösung tut. Welche Sysvar haste im Verdacht?

Aber schnacken wir gleich noch drüber. Vielleicht ;-)

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Donpassos
Mitglied
-

Sehen Sie sich das Profil von Donpassos an!   Senden Sie eine Private Message an Donpassos  Schreiben Sie einen Gästebucheintrag für Donpassos

Beiträge: 7
Registriert: 12.10.2003

Autocad Map 3D 2011

erstellt am: 18. Aug. 2012 18:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,
hallo Thomas,
vielen Dank für die rege Teilnahme, hatte garnicht damit gerechnet, dass sich gleich alle auf das Problem stürzen. Eine Bitte hätte ich noch, könnt ihr mir noch den command-Befehl dranbasteln, bin leider in lisp nicht so bewandert. Vielen Dank im Voraus. Gruß Andy 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 19. Aug. 2012 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Moin,

Du hast von CADwiesel die command-Zeile:

Code:
(command "_-Layer" "_t"(strcat(chr 36)"Name")"")

erhalten, dabei 'verkettet' das strcat die Elemente (chr 36) und Name miteinander, wobei (chr 36) für das $ steht und Name von Dir natürlich angepaßt werden muß. Er 'tarnt' also das $ vor acad.

Und auch von CADmium hast Du im Prinzip was Fertiges bekommen, das funktioniert allerdings bei mir wieder beides nicht, da acad auch dabei weiterhin konsequent jedes auftauchende $-Zeichen falsch versteht:

bei:

Code:
(vl-load-com)
(if(and(setq L(tblobjname "LAYER" "$AS"))
       (setq L(vlax-ename->vla-object L))
   )
  (progn
    (vla-put-freeze L :vlax-false)
    (vla-regen(vla-get-activedocument(vlax-get-acad-object))acAllViewports)
  )
)

kommt:
Code:
(vl-load-com)(if(and(setq L(tblobjname "LAYER" "L(vlax-ename->vla-object L)))(progn(vla-put-freeze L :vlax-false)(vla-regen(vla-get-activedocument(vlax-get-acad-object))acAllViewports)))
in der Befehlszeile an
und ich muß nach tblobjname "LAYER" das "L durch den Teil "$AS"))(setq L händisch ersetzen (das geht im laufenden Befehl, denn acad bleibt an der Stelle stehen, er ist ja so nicht vollständig), dann läuft der Befehl ordungsgemäß durch und taut den Layer.

Also hast Du schon alles, was Du brauchst.
Sonnigen Sonntag!  

PS: vom auf sowas stürzen wird man bewandert und kann später mal selber basteln. Daher stürzen wir uns so gern auf bislang noch nicht persönlich bekannte Probleme. Probier's mal aus! ;-)

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 19. Aug. 2012 13:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 7935
Registriert: 09.03.2006

sw:
Win7-x64
Office 365 ProPlus
C3D (& LT )
ET; DACH; Extensions
-------------------
hw:
FX3800
i5 CPU 670
8GB RAM

erstellt am: 19. Aug. 2012 15:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Donpassos 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADmium:
wie steht den denn Sysvar EXTNAMES ??????


Nie umgestellt, daher: 1
spielt aber auch keine Geige, ob 0 od. 1

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz